Bug 190968 - xen-3.0.2-0.FC5.1 should not bomb if default in grub.conf is not specified
xen-3.0.2-0.FC5.1 should not bomb if default in grub.conf is not specified
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-05-07 12:13 EDT by Roy-Magne Mo
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 16:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2006-05-07 12:13:07 EDT
Description of problem:
If default entry in grub.conf is not specified, pygrub bombs out with a error
message.

Version-Release number of selected component (if applicable):
xen-3.0.2-0.FC5.1
PYGRUB_VER = 0.3


How reproducible:
always

Steps to Reproduce:
1. remove or comment out the default line in grub.conf in a xen-guest
2.
3.
  
Actual results:
# xm create xen04
Using config file "/etc/xen/xen04".
Traceback (most recent call last):
  File "/usr/bin/pygrub", line 260, in ?
    sel = cf.default
  File "/usr/lib/python2.4/site-packages/grub/GrubConf.py", line 193, in
_get_default
    return self._default
AttributeError: 'GrubConfigFile' object has no attribute '_default'
Error: Boot loader didn't return any data!


Expected results:
pygrub should go to interactive mode, or let me select the entry to boot with
the --entry parameter.


Additional info:
Comment 1 Jeremy Katz 2006-09-21 16:06:10 EDT
This should be fixed now

Note You need to log in before you can comment on or make changes to this bug.